curl --request GET \
--url https://api.arize.com/v2/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"id": "T25saW5lVGFzazo0NTpxUndY",
"name": "Production Hallucination Check",
"type": "TEMPLATE_EVALUATION",
"project_id": "TW9kZWw6MTIzOmFCY0Q=",
"dataset_id": null,
"sampling_rate": 1,
"is_continuous": true,
"query_filter": null,
"evaluators": [
{
"evaluator_id": "RXZhbHVhdG9yOjEyOmFCY0Q=",
"evaluator_name": "Hallucination Eval",
"query_filter": null,
"column_mappings": {
"input": "attributes.input.value",
"output": "attributes.output.value"
}
}
],
"experiment_ids": [],
"last_run_at": "2026-03-01T14:30:00.000Z",
"created_at": "2026-02-20T10:00:00.000Z",
"updated_at": "2026-02-20T10:00:00.500Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}
],
"pagination": {
"has_more": false
}
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}List tasks
List tasks the user has access to, with cursor-based pagination.
Filter by space, space name, task name, project, dataset, or task type using query parameters.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Query Parameters
Filter search results to a particular space ID A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Case-insensitive substring filter on the space name. Narrows results to resources in spaces whose name contains the given string. If omitted, no space name filtering is applied and all resources are returned.
255Case-insensitive substring filter on the resource name. Returns only
resources whose name contains the given string. For example,
name=prod matches "production", "my-prod-dataset", etc. If omitted,
no name filtering is applied and all resources are returned.
255Filter results to resources associated with a specific project (base64 identifier). If omitted, results are not filtered by project.
A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Filter to a specific dataset (base64 identifier (base64)) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Filter by task type: TEMPLATE_EVALUATION, CODE_EVALUATION, or RUN_EXPERIMENT The task type.
- TEMPLATE_EVALUATION - An LLM template-based evaluation task.
- CODE_EVALUATION - A code-based evaluation task.
- RUN_EXPERIMENT - A task that runs experiments.
TEMPLATE_EVALUATION, CODE_EVALUATION, RUN_EXPERIMENT Maximum items to return. Defaults to 50 if omitted; maximum is 100.
1 <= x <= 100Opaque pagination cursor returned from a previous response
(pagination.next_cursor). Treat it as an unreadable token; do not
attempt to parse or construct it.
Was this page helpful?